
TextCritical.net - Task #2434

Update the web-server

06/11/2019 09:48 PM - Luke Murphey

Status: Closed Start date: 12/24/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.1   

Description

Subtasks:

Task # 2549: Get docker-based server online Closed

Task # 2550: Shutdown native server Closed

Task # 2552: Update static resources Closed

Task # 2553: Point to new location of static resources Closed

  Task # 2560: Add static resources to media Closed

Task # 2554: Verify error pages are pointing to the correct sources Closed

Task # 2555: Update search indexes for new works Closed

Bug # 2558: admin page doesn't show up Closed

History

#1 - 06/11/2019 09:48 PM - Luke Murphey

I can update the Perseus docs with this:

UPDATE reader_worksource

SET source = 'perseus.tufts.edu',

description='Text provided by Perseus Digital Library, with funding from The Annenberg CPB/Project. Original v

ersion available for viewing and download at http://www.perseus.tufts.edu/hopper/.'

WHERE work_id <> 699 AND work_id <> 700;

 

And the Biola ones with this:

UPDATE reader_worksource

SET source = 'unbound.biola.edu',

description='Text provided by The Unbound Bible from Biola University. Original version available for viewing 

and download at http://www.unboundbible.org/.'

WHERE work_id = 699 OR work_id = 700;

04/26/2024 1/3



#2 - 06/11/2019 09:49 PM - Luke Murphey

Import works per: https://lukemurphey.net/issues/2419

#3 - 06/12/2019 05:43 PM - Luke Murphey

from reader.models import Work, WorkSource, WorkAlias

import os

def makesource(work):

    work_source = WorkSource()

    work_source.source = "unbound.biola.edu" 

    work_source.resource = ''

    work_source.work = work

    work_source.description = "Text provided by The Unbound Bible from Biola University. Original version avai

lable for viewing and download at http://www.unboundbible.org/." 

    work_source.save()

lxx = WorkAlias.objects.get(title_slug='lxx')

makesource(lxx.work)

asv = WorkAlias.objects.get(title_slug='asv')

makesource(asv.work)

#4 - 08/13/2019 09:43 PM - Luke Murphey

Should probably download the main database and update it offline.

#5 - 08/14/2019 04:43 PM - Luke Murphey

- Tracker changed from Bug to Task

#6 - 09/21/2019 04:45 AM - Luke Murphey

Steps:

1. [Done] Upload databases

2. [Done] Install portainer

3. [Done] Create new app directory

1. [Done] Copy indexes

2. [Done] Copy cache

3. [Deferred] Copy statics

4. [Done] Copy files

4. [Done] Deploy new upgrade script

5. [Done] Start app

6. [Done] Redirect port to new app

7. Stop existing app

8. Remove old init script
#7 - 09/21/2019 05:27 AM - Luke Murphey

https://pythonhosted.org/scss/

#8 - 01/01/2020 06:15 AM - Luke Murphey

- Status changed from New to Closed
